Gentoo Archives: gentoo-science

From: "de Almeida
To: gentoo-science@l.g.o, gentoo-cluster@l.g.o
Subject: [gentoo-science] hdf5 with mpi support
Date: Mon, 09 Jun 2008 19:12:00
Message-Id: D2D7D9FE2492524A925313E2D82E1B5308AB3326@ORNLEXCHANGE.ornl.gov
Hello,

Emerging hdf5 with mpi support requires mpich2 as default(?). Is it
possible to install hdf5 with my own local install of openmpi?

Alternatively, if I install the masked version (x86) of openmpi, would
hdf5 (with mpi) use openmpi?

Thanks,

--
Valmor



->USE="mpi hlapi szip" emerge -vp hdf5

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] sys-cluster/mpich2-1.0.3  USE="crypt doc -cxx -debug
-mpe -threads" 11,882 kB 
[ebuild   R   ] sci-libs/hdf5-1.6.4  USE="hlapi* mpi* ssl static szip*
zlib -debug -threads" 0 kB 

Total: 2 packages (1 new, 1 reinstall), Size of downloads: 11,882 kB

-----------------------------------------------------------------

->emerge --search openmpi
Searching...   
[ Results for search key : openmpi ]
[ Applications found : 1 ]
 
*  sys-cluster/openmpi [ Masked ]
      Latest version available: 1.2.6-r1
      Latest version installed: [ Not Installed ]
      Size of files: 3,473 kB
      Homepage:      http://www.open-mpi.org
      Description:   A high-performance message passing library (MPI)
      License:       BSD

-- 
gentoo-science@l.g.o mailing list